News for Developers

Back to News
Ads API V2.2 Schedule
Omid Saadati
December 16, 2014

Related News

DELETED vs ARCHIVED

September 24 2014

As part of our continued commitment to engage in support our API partners, we are constantly soliciting feedback from the community. One of the pieces of feedback that we’ve heard recently is that frequent API changes causes problems to developers by making it difficult to keep with Facebook’s development cycles.

Given that we're moving to versioning to manage changes in the Ads API, we are moving the deadline for adopting API version 2.2 from January 28, 2015 to March 11, 2015. This means, you have until March 11th to make sure all your Ads API calls are using versioning. As a reminder, after this date, Ads API calls not specifying a version or using v2.1 or lower will return an error. As per our versioning guidelines, v2.2 will be available until at least 90 days after v2.3 is released.

Please take a look at our Ads API v2.2 upgrade guide for a detailed guide to migrating your Ads API app. A full list of changes in the Ads API for the current version is here. If you're using the Facebook Ads API SDKs, you can upgrade to the latest version of PHP SDK or Python SDK to start using Ads API v2.2.